### Method

# Gtk StyleContextset_display

deprecated: 4.10

#### Declaration [src]

    void
    gtk_style_context_set_display (
      GtkStyleContext* context,
      GdkDisplay* display
    )

#### Description [src]

Attaches `context` to the given display.

The display is used to add style information from “global” style providers, such as the display’s `GtkSettings` instance.

If you are using a `GtkStyleContext` returned from `gtk_widget_get_style_context()`, you do not need to call this yourself.

Deprecated since: 4.10

You should not use this api.

Sets property | `Gtk.StyleContext:display`

#### Parameters

`display`

  Type: `GdkDisplay`

  A `GdkDisplay`

  The data is owned by the caller of the method.